/**************************************************************************\
*
* All files in GdiPlusLib have been modified from the Microsoft
* GdiPlus C++ header files.
*
* Module Name:
*
*   GdiplusImageCodec.h
*
* Abstract:
*
*   ImagingCodecs related declarations.
*
\**************************************************************************/

#ifndef _GDIPLUSIMAGECODEC_H
#define _GDIPLUSIMAGECODEC_H

#include "GdiPlusEnums.h"
#include "GdiPlusStubs.h"
//#include "GdiPlusTypes.h"
#include "GdiPlusImaging.h"

GpStatus _stdcall GdipGetImageDecodersSize(UINT *numDecoders, UINT *size);
GpStatus _stdcall GdipGetImageDecoders(UINT numDecoders, UINT size, IMAGECODECINFO *decoders);
GpStatus _stdcall GdipGetImageEncodersSize(UINT *numEncoders, UINT *size);
GpStatus _stdcall GdipGetImageEncoders(UINT numEncoders, UINT size, IMAGECODECINFO *encoders);

#endif  // _GDIPLUSIMAGECODEC_H
